Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.feature
Class OutputTableFeature

    java.lang.Object
      org.maltparser.core.symbol.TableFeature
          org.maltparser.core.syntaxgraph.feature.OutputTableFeature

All Implemented Interfaces:
  FeatureFunction, Function, Modifiable

    public class OutputTableFeature

extends TableFeature

Author:
  Johan Hall

Field Summary
`protected AddressFunction` | `addressFunction`
`protected SymbolTableHandler` | `tableHandler`

Fields inherited from class org.maltparser.core.symbol.TableFeature
`featureValue, table, tableName, type`

Constructor Summary
`OutputTableFeature(DataFormatInstance dataFormatInstance)`

Method Summary
`boolean` | `equals(Object obj)`
`AddressFunction` | `getAddressFunction()`
`Class<?>[]` | `getParameterTypes()` Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.
`SymbolTableHandler` | `getTableHandler()`
`int` | `hashCode()`
`void` | `initialize(Object[] arguments)` Initialize the feature function
`void` | `setAddressFunction(AddressFunction addressFunction)`
`void` | `setTableHandler(SymbolTableHandler tableHandler)`
`String` | `toString()`
`void` | `update()` Cause the feature function to update the feature value.

Methods inherited from class org.maltparser.core.symbol.TableFeature
`getCode, getFeatureValue, getMapIdentifier, getSymbol, getSymbolTable, getTableName, getType, setFeatureValue, setFeatureValue, setSymbolTable, setTableName, setType, updateCardinality`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### addressFunction

    protected AddressFunction addressFunction

### tableHandler

    protected SymbolTableHandler tableHandler

Constructor Detail

### OutputTableFeature

    public OutputTableFeature(DataFormatInstance dataFormatInstance)
                       throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### initialize

    public void initialize(Object[] arguments)
                    throws MaltChainedException

  Description copied from interface: `Function`
  Initialize the feature function

  Specified by:
    `initialize` in interface `Function`
  Specified by:
    `initialize` in class `TableFeature`
  Parameters:
    `arguments` - an array of arguments with the type returned by getParameterTypes()
  Throws:
    `MaltChainedException`

### getParameterTypes

    public Class<?>[] getParameterTypes()

  Description copied from interface: `Function`
  Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.

  Specified by:
    `getParameterTypes` in interface `Function`
  Specified by:
    `getParameterTypes` in class `TableFeature`
  Returns:
    an array of class types

### update

    public void update()
                throws MaltChainedException

  Description copied from interface: `Function`
  Cause the feature function to update the feature value.

  Specified by:
    `update` in interface `Function`
  Specified by:
    `update` in class `TableFeature`
  Throws:
    `MaltChainedException`

### getAddressFunction

    public AddressFunction getAddressFunction()

### setAddressFunction

    public void setAddressFunction(AddressFunction addressFunction)

### getTableHandler

    public SymbolTableHandler getTableHandler()

  Overrides:
    `getTableHandler` in class `TableFeature`

### setTableHandler

    public void setTableHandler(SymbolTableHandler tableHandler)

  Overrides:
    `setTableHandler` in class `TableFeature`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `TableFeature`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `TableFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.